summaryrefslogtreecommitdiff
path: root/Master/tlpkg/libexec
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2013-04-04 17:31:21 +0000
committerKarl Berry <karl@freefriends.org>2013-04-04 17:31:21 +0000
commitfd4545fe5a780ce3e1fbf1b78d668729de1bff7d (patch)
tree4e09fb0200704914885bc52dd69629fd280433eb /Master/tlpkg/libexec
parent7ae4f3a4bad94230ffba68bceb27b269b8fa04c4 (diff)
exclude mptopdf files from context update; do not warn about negative patterns not matching when updating from CTAN
git-svn-id: svn://tug.org/texlive/trunk@29640 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master/tlpkg/libexec')
-rwxr-xr-xMaster/tlpkg/libexec/ctan2tds4
-rwxr-xr-xMaster/tlpkg/libexec/mptopdf-extract28
-rwxr-xr-xMaster/tlpkg/libexec/place15
3 files changed, 46 insertions, 1 deletions
diff --git a/Master/tlpkg/libexec/ctan2tds b/Master/tlpkg/libexec/ctan2tds
index da5f9dad994..9d998e1b9bf 100755
--- a/Master/tlpkg/libexec/ctan2tds
+++ b/Master/tlpkg/libexec/ctan2tds
@@ -4920,6 +4920,10 @@ sub POSTcontext {
&SYSTEM ("$RM -rf web2c/"); # context*cnf*, texlive2011cnf.lua
&SYSTEM ("find -name koeiel\* -o -name jmn | xargs rm -rf");
+ # remove mptopdf files, since they are in a separate package.
+ chomp (my @mptopdf_files = `tlpfiles mptopdf | sed 's,[^/]*/,,'`);
+ &SYSTEM ("$RM -f @mptopdf_files");
+
print "still POST$package - user-level executables\n";
# similar to biber, executables go in both the Master bin dir and the
# Build linked_scripts dir. The executables are cherry-picked from
diff --git a/Master/tlpkg/libexec/mptopdf-extract b/Master/tlpkg/libexec/mptopdf-extract
new file mode 100755
index 00000000000..f959721a68f
--- /dev/null
+++ b/Master/tlpkg/libexec/mptopdf-extract
@@ -0,0 +1,28 @@
+#!/bin/sh
+# $Id$
+# Get the mptopdf files out of the context zip. We distribute mptopdf
+# as a separate package, since it can be used with LaTeX. See
+# description in mptopdf.tlpsrc for details.
+
+# Get files of our mptopdf package, ignoring top-level directory.
+# And ignoring the man page until it is present in ConTeXt.
+files=`tlpfiles mptopdf | sed 's,[^/]*/,,' | grep -v doc/man`
+if test -z "$files"; then
+ echo "$0: failed to get files for mptopdf." >&2
+ exit 1
+fi
+
+# We will extract them from the current context release.
+ctan=/home/ftp/mirror/rsync.tex.ac.uk/CTAN
+context_zip=$ctan/macros/context/current/cont-tmf.zip
+if test ! -s $context_zip; then
+ echo "$0: no context zip:" >&2
+ ls -l $context_zip >&2
+ exit 1
+fi
+
+# Working directory.
+workdir=/home/ftp/tex/mptopdf
+cd $workdir || exit 1
+rm -rf *
+unzip $context_zip $files
diff --git a/Master/tlpkg/libexec/place b/Master/tlpkg/libexec/place
index 4cc5a0a1028..d6bd479fd36 100755
--- a/Master/tlpkg/libexec/place
+++ b/Master/tlpkg/libexec/place
@@ -32,9 +32,22 @@ print "place: chicken mode = $chicken\n";
die "usage: $0 PKGNAME\n" unless @ARGV == 1;
$package = $ARGV[0];
-
# $::opt_verbosity = 3; # debug tlpdb reading
+# Negative patterns are used to avoid conflicts when the name of a given
+# package happens to match the name of a subdirectory in another package.
+# For example, cell.tlpsrc contains:
+# docpattern +!d texmf-dist/doc/latex/cals/test/cell
+# to avoid including that test/cell subdirectory in the cals package
+# when building tlpdb. Ordinarily, if the pattern being excluded
+# doesn't match anything, there is a warning (e.g., cals might get rid
+# of that subdir someday, and then we'd want to delete the pattern from cell.)
+#
+# But when we update cell from CTAN, of course cals is not present,
+# therefore the negative pattern has nothing to match, therefore warning
+# about it is noise, therefore omit the warning.
+$::tlpsrc_pattern_no_warn_negative = 1;
+
%dirs = (); # dirs we make changes in
$TMP = $ENV{"TMPDIR"} || "/tmp";
$tmpfile = "$TMP/$>.tlplace"; # use effective uid in temp file names